OVERLAY_FILLED_POLYGON(3)

FUNCTION
overlay_filled_polygon - Add a filled polygon to an overlay object list.

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_filled_polygon

(KOverlayList olist, unsigned int num_coords, unsigned int *types, double *x_arr, double *y_arr, CONST char *colourname)

DESCRIPTION
Add a filled polygon to an overlay object list.

olist
    The overlay list object.

num_coords
    The number of co-ordinates (vertices).

types
    The array of co-ordinate type values. If this is NULL, all co-ordinates are assumed to be world co-ordinates. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

x_arr
    The array of horizontal co-ordinate values.

y_arr
    The array of vertical co-ordinate values.

colourname
    The colour name.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/